[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#603473: zshdb: Installation fails

Package: zshdb
Version: 0.05+git20101031-1
Severity: grave
Tags: sid
Justification: renders package unusable

Package installation fails, also happens when upgrading.

Setting up zshdb (0.05+git20101031-1) ...
emacsen-common: Handling install of emacsen flavor emacs
emacsen-common: Handling install of emacsen flavor emacs21
emacsen-common: byte-compiling for emacs21
Wrote /etc/emacs21/site-start.d/00debian-vars.elc
Wrote /usr/share/emacs21/site-lisp/debian-startup.elc
install/zshdb: Handling install for emacsen flavor emacs21
/usr/lib/emacsen-common/packages/install/zshdb: line 36: cd: /usr/share/emacs/site-lisp/zshdb: No such file or directory
emacs-package-install: /usr/lib/emacsen-common/packages/install/zshdb emacs21 emacs21 failed at /usr/lib/emacsen-common/emacs-package-install line 30, <TSORT> line 2.
dpkg: error processing zshdb (--configure):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)
zsh: exit 100   apt-get install zshdb

Probably because directory /usr/share/emacs/site-lisp/zshdb does not exist and zshdb is not creating one.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=fi_FI (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages zshdb depends on:
ii  emacsen-common                1.4.19     Common facilities for all emacsen
ii  zsh                           4.3.10-16  A shell with lots of features

zshdb recommends no packages.

zshdb suggests no packages.

-- no debconf information

Reply to: